Axis2/C: properties

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# properties
[utilities]

## Typedefs
typedef struct axutil_properties | axutil_properties_t
## Functions
AXIS2_EXTERN axutil_properties_t * | axutil_properties_create (const axutil_env_t *env)
AXIS2_EXTERN void | axutil_properties_free (axutil_properties_t *properties, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axutil_properties_get_property (axutil_properties_t *properties, const axutil_env_t *env, axis2_char_t *key)
AXIS2_EXTERN axis2_status_t | axutil_properties_set_property (axutil_properties_t *properties, const axutil_env_t *env, axis2_char_t *key, axis2_char_t *value)
AXIS2_EXTERN axutil_hash_t * | axutil_properties_get_all (axutil_properties_t *properties, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_properties_load (axutil_properties_t *properties, const axutil_env_t *env, axis2_char_t *input_filename)
AXIS2_EXTERN axis2_status_t | axutil_properties_store (axutil_properties_t *properites, const axutil_env_t *env, FILE *output)

## Function Documentation

AXIS2_EXTERN axutil_properties_t* axutil_properties_create | ( | const axutil_env_t * | env | ) |

create new properties

Returns:
  properties newly created properties

AXIS2_EXTERN void axutil_properties_free | ( | axutil_properties_t * | properties,
|  | const axutil_env_t * | env |
| ) |  |  |

free w2c_properties.

Parameters:

  | properties | pointer to properties struct
  | env | Environment. MUST NOT be NULL

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axutil_hash_t* axutil_properties_get_all | ( | axutil_properties_t * | properties,
|  | const axutil_env_t * | env |
| ) |  |  |

retrieve the hash with all the properties

Parameters:

  | properties | pointer to properties struct
  | env | Environment. MUST NOT be NULL

Returns:
  hash (key,value)

AXIS2_EXTERN axis2_char_t* axutil_properties_get_property | ( | axutil_properties_t * | properties,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | key |
| ) |  |  |

get string value for property with specified key.

Parameters:

  | properties | pointer to properties struct
  | env | Environment. MUST NOT be NULL
  | key | MUST NOT be NULL

Returns:
  value of the property

AXIS2_EXTERN axis2_status_t axutil_properties_load | ( | axutil_properties_t * | properties,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | input_filename |
| ) |  |  |

load properties

Parameters:

  | properties | pointer to properties struct
  | env | Environment. MUST NOT be NULL
  | input | Input Stream. MUST NOT be NULL

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axutil_properties_set_property | ( | axutil_properties_t * | properties,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | key,
|  | axis2_char_t * | value |
| ) |  |  |

set a property ( key, value) pair.

Parameters:

  | properties | pointer to properties struct
  | env | Environment. MUST NOT be NULL
  | key | Property Key. MUST NOT be NULL
  | value | Property Value

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axutil_properties_store | ( | axutil_properties_t * | properites,
|  | const axutil_env_t * | env,
|  | FILE * | output |
| ) |  |  |

store properties

Parameters:

  | properties | pointer to properties struct
  | env | Environment. MUST NOT be NULL
  | ouput | Output Stream. MUST NOT be NULL

Returns:
  status of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE